void timedate()//при запуске 1 раз
{//rtc.adjust(DateTime(2024,3, 4, 14,25,0));
if (! rtc.lostPower()) {
//   Serial.println("RTC is NOT running!");
   //rtc.adjust(DateTime(F(__DATE__), F(__TIME__)));
   // ИЛИ ТАК
   //rtc.adjust(DateTime(2020, 1, 1, 15, 51, 0));
  // rtc.adjust(DateTime(2024,3, 4, 14,44,0));
}


  
   DateTime now = rtc.now();
  timeserv=formatTimeDigits(now.hour(),now.minute()); 
  Serial.print("TIME_");
  Serial.println(timeserv);
   dataserv=now.day();
   data1=now.day();
   month1=now.month();
 munthserv=strm[now.month()-1] ;
 weekserv=strweek[now.dayOfTheWeek()];
    hour1=now.hour();
  min1=now.minute();
 tweekday=now.dayOfTheWeek();
 year1=now.year();
  if(tweekday==0) tweekday=7;
    Serial.println(tweekday);
   Serial.println(dataserv);
    Serial.println(month1);
     Serial.println(year1);
     uint32_t  timeStampVal = now.unixtime();
     EpochTime=timeStampVal;
     Serial.println(EpochTime);
   
}
